Subject: Re: bug#19152: 25.0.50; Suggestions for M-x commands

From: Ivan Shmakov <[email-masked]>
Date: Tue, 25 Nov 2014 15:45:18 +0000

>>>>> Stefan Monnier <[email-masked]> writes:

[…]

 >>> An option to turn the feature off is fine.  An option to choose the
 >>> number of chars we have to gain is not.

 >> Why not?

 > Because that exposes too much irrelevant details.

	I see no big difference between suggest-key-bindings’ seconds
	and the suggested suggest-shorter-command-limit’s characters.

 > BTW, if you want to "turn it off" and can't wait for someone to
 > install such an option in the trunk, you can try:

 >    (advice-add 'execute-extended-command--shorter :override #'ignore)

	Well, to quote myself [2]:

 > If anything, I’d just live with the workaround I’ve provided earlier
 > [1].

 > [1] http://debbugs.gnu.org/19013#msg30
   [2] news:[email-masked]

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A